Debian Bug report logs - #590402
scim-unikey: FTBFS: libtool: link: `/usr/lib/libltdl.la' is not a valid libtool archive

version graph

Package: src:scim-unikey; Maintainer for src:scim-unikey is Lê Quốc Tuấn <mr.lequoctuan@gmail.com>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 26 Jul 2010 07:10:10 UTC

Severity: serious

Tags: sid, squeeze

Found in version scim-unikey/0.3.1+debian-2.1

Fixed in version scim-unikey/0.3.1+debian-3

Done: Lê Quốc Tuấn <mr.lequoctuan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Lê Quốc Tuấn <mr.lequoctuan@gmail.com>:
Bug#590402; Package src:scim-unikey. (Mon, 26 Jul 2010 07:10:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Lê Quốc Tuấn <mr.lequoctuan@gmail.com>. (Mon, 26 Jul 2010 07:10:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: scim-unikey: FTBFS: libtool: link: `/usr/lib/libltdl.la' is not a valid libtool archive
Date: Mon, 26 Jul 2010 08:55:09 +0200
Source: scim-unikey
Version: 0.3.1+debian-2.1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100725 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[3]: Entering directory `/build/user-scim-unikey_0.3.1+debian-2.1-amd64-eImPtF/scim-unikey-0.3.1+debian/src'
> /bin/bash ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I.. -I../ukengine -DSCIM_ICONDIR=\"/usr/share/scim/icons\" -DLIBEXECDIR=\"/usr/lib/scim-unikey\" -Wall   -I/usr/include/scim-1.0   -g -O2 -c -o unikey_la-im_engine.lo `test -f 'im_engine.cpp' || echo './'`im_engine.cpp
> libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I../ukengine -DSCIM_ICONDIR=\"/usr/share/scim/icons\" -DLIBEXECDIR=\"/usr/lib/scim-unikey\" -Wall -I/usr/include/scim-1.0 -g -O2 -c im_engine.cpp  -fPIC -DPIC -o .libs/unikey_la-im_engine.o
> /bin/bash ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I.. -I../ukengine -DSCIM_ICONDIR=\"/usr/share/scim/icons\" -DLIBEXECDIR=\"/usr/lib/scim-unikey\" -Wall   -I/usr/include/scim-1.0   -g -O2 -c -o unikey_la-unikey_instance.lo `test -f 'unikey_instance.cpp' || echo './'`unikey_instance.cpp
> libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I../ukengine -DSCIM_ICONDIR=\"/usr/share/scim/icons\" -DLIBEXECDIR=\"/usr/lib/scim-unikey\" -Wall -I/usr/include/scim-1.0 -g -O2 -c unikey_instance.cpp  -fPIC -DPIC -o .libs/unikey_la-unikey_instance.o
> /bin/bash ../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I.. -I../ukengine -DSCIM_ICONDIR=\"/usr/share/scim/icons\" -DLIBEXECDIR=\"/usr/lib/scim-unikey\" -Wall   -I/usr/include/scim-1.0   -g -O2 -c -o unikey_la-utils.lo `test -f 'utils.cpp' || echo './'`utils.cpp
> libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I.. -I../ukengine -DSCIM_ICONDIR=\"/usr/share/scim/icons\" -DLIBEXECDIR=\"/usr/lib/scim-unikey\" -Wall -I/usr/include/scim-1.0 -g -O2 -c utils.cpp  -fPIC -DPIC -o .libs/unikey_la-utils.o
> utils.cpp: In function 'const char* getMacroFile()':
> utils.cpp:16: warning: unused variable 't'
> /bin/bash ../libtool --tag=CXX   --mode=link g++ -I/usr/include/scim-1.0   -g -O2 -avoid-version -rpath /usr/lib/scim-1.0/1.4.0/IMEngine -module -export-symbols-regex "^[^_].*" -lscim-1.0   -Wl,--as-needed -o unikey.la -rpath /usr/lib/scim-1.0/1.4.0/IMEngine unikey_la-im_engine.lo unikey_la-unikey_instance.lo unikey_la-utils.lo ../ukengine/libunikey-scim.la 
> libtool: link: /usr/bin/nm -B  .libs/unikey_la-im_engine.o .libs/unikey_la-unikey_instance.o .libs/unikey_la-utils.o   ../ukengine/.libs/libunikey-scim.a | sed -n -e 's/^.*[	 ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[	 ][	 ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' | /bin/sed 's/.* //' | sort | uniq > .libs/unikey.exp
> libtool: link: /bin/grep -E -e "^[^_].*" ".libs/unikey.exp" > ".libs/unikey.expT"
> libtool: link: mv -f ".libs/unikey.expT" ".libs/unikey.exp"
> libtool: link: g++ -shared -nostdlib /usr/lib/gcc/x86_64-linux-gnu/4.4.4/../../../../lib/crti.o /usr/lib/gcc/x86_64-linux-gnu/4.4.4/crtbeginS.o  .libs/unikey_la-im_engine.o .libs/unikey_la-unikey_instance.o .libs/unikey_la-utils.o  -Wl,--whole-archive ../ukengine/.libs/libunikey-scim.a -Wl,--no-whole-archive  /usr/lib/libscim-1.0.so -L/usr/lib/gcc/x86_64-linux-gnu/4.4.4 -L/usr/lib/gcc/x86_64-linux-gnu/4.4.4/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/x86_64-linux-gnu/4.4.4/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-linux-gnu/4.4.4/crtendS.o /usr/lib/gcc/x86_64-linux-gnu/4.4.4/../../../../lib/crtn.o  -Wl,--as-needed   -Wl,-soname -Wl,unikey.so -Wl,-retain-symbols-file -Wl,.libs/unikey.exp -o .libs/unikey.so
> /bin/sed: can't read /usr/lib/libltdl.la: No such file or directory
> libtool: link: `/usr/lib/libltdl.la' is not a valid libtool archive
> make[3]: *** [unikey.la] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/07/25/scim-unikey_0.3.1+debian-2.1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Lê Quốc Tuấn <mr.lequoctuan@gmail.com>:
You have taken responsibility. (Sat, 07 Aug 2010 00:21:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 07 Aug 2010 00:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 590402-close@bugs.debian.org (full text, mbox):

From: Lê Quốc Tuấn <mr.lequoctuan@gmail.com>
To: 590402-close@bugs.debian.org
Subject: Bug#590402: fixed in scim-unikey 0.3.1+debian-3
Date: Sat, 07 Aug 2010 00:19:41 +0000
Source: scim-unikey
Source-Version: 0.3.1+debian-3

We believe that the bug you reported is fixed in the latest version of
scim-unikey, which is due to be installed in the Debian FTP archive:

scim-unikey_0.3.1+debian-3.debian.tar.gz
  to main/s/scim-unikey/scim-unikey_0.3.1+debian-3.debian.tar.gz
scim-unikey_0.3.1+debian-3.dsc
  to main/s/scim-unikey/scim-unikey_0.3.1+debian-3.dsc
scim-unikey_0.3.1+debian-3_amd64.deb
  to main/s/scim-unikey/scim-unikey_0.3.1+debian-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590402@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lê Quốc Tuấn <mr.lequoctuan@gmail.com> (supplier of updated scim-unikey package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Aug 2010 15:47:10 +0700
Source: scim-unikey
Binary: scim-unikey
Architecture: source amd64
Version: 0.3.1+debian-3
Distribution: unstable
Urgency: low
Maintainer: Lê Quốc Tuấn <mr.lequoctuan@gmail.com>
Changed-By: Lê Quốc Tuấn <mr.lequoctuan@gmail.com>
Description: 
 scim-unikey - Vietnamese Input Method Engine for SCIM using Unikey Engine
Closes: 590402
Changes: 
 scim-unikey (0.3.1+debian-3) unstable; urgency=low
 .
   * Build-Depends: libltdl-dev (Closes: #590402).
   * Switch to dpkg-source 3.0 (quilt) format
Checksums-Sha1: 
 f7c573584ffe776a78e031d870fa81cea665302c 1206 scim-unikey_0.3.1+debian-3.dsc
 746f4d9b87f6b623524dc57294995b1305527ed8 3353 scim-unikey_0.3.1+debian-3.debian.tar.gz
 8fe7b6d57c2edf00d19bca15a9cef1b4897cd711 120056 scim-unikey_0.3.1+debian-3_amd64.deb
Checksums-Sha256: 
 ad2270ea327f37a14214f389507e6e0baf7f8aae24ff2a773cf1164be655815f 1206 scim-unikey_0.3.1+debian-3.dsc
 d5756a6412437e838d6da6fa6734348624b3b1c556263c30ff819bf441bfff8d 3353 scim-unikey_0.3.1+debian-3.debian.tar.gz
 7474ffdab388c8f4a6acbe3563fd33ad5cb95e6503cfa8368e32a7e6594e607b 120056 scim-unikey_0.3.1+debian-3_amd64.deb
Files: 
 15a22996e0f6277c24f4039abba757f9 1206 utils extra scim-unikey_0.3.1+debian-3.dsc
 ec7d432b9c1a41903f983fe903fd04ef 3353 utils extra scim-unikey_0.3.1+debian-3.debian.tar.gz
 a3521257bd644daae1d16bc9a59be076 120056 utils extra scim-unikey_0.3.1+debian-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxcpA0ACgkQnQYz4bYlCYX6fgCeIKYuLT1ZXf8uAS5vNeD+eUvb
uLEAnA9osRiuRJqQDcZYZ5GssVh0s9WG
=cm+6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Sep 2010 07:30:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:12:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.